%%  Plot a swarm %%

function fig=plot_real_time(pos,iter,show_vis,l, vis)


t=[0:2*pi/100:2*pi];


fig.h=figure();
hold on;
axis([0 50 0 50]);

% axis(0.1*[-10 10 -10 10]);

for i=1:length(pos)
    
    
    if show_vis>0
        xv=vis*cos(t)+pos(i,1);    %% shows range of visibility
        yv=vis*sin(t)+pos(i,2);
    end
    
    fig.pos(i)=plot(pos(i,1), pos(i,2),'or');
    
    if show_vis>0
        fig.vis(i)=plot(xv,yv,'g');
    end
    
    
    
end
hold off
