function [L,Adj]=laplacian(x,d,vis,sigma)
global xv yv xv1 yv1 node2 rr;

n=size(x,1);
Adj=zeros(n);
L=zeros(n);

a=0.1;
b=0.5;

for i=1:n
    for j=1:n
        
        if (i~=j && d(i,j)<vis)%&&(~incheck(x(j,:),x(i,:),xv1,yv1)))
            Adj(i,j)=exp(-d(i,j)^2/(2*sigma^2));
           
        end
        
    end
end
L=diag(sum(Adj,2))-Adj;