function update_plot_robot(fig,pos,iter,show_vis,l, vis)%, lam2)






t=[0:2*pi/100:2*pi];


figure(fig.h);
hold on;


offset=mean(pos);
axis([0 50 0 50]);


for i=1:length(pos)
    
    if show_vis>0
        xv=vis*cos(t)+pos(i,1);    %% shows range of visibility
        yv=vis*sin(t)+pos(i,2);
    end
    
    set(fig.pos(i),'xdata', pos(i,1), 'ydata', pos(i,2));
    
    
    if show_vis>0
        set(fig.vis(i), 'xdata', xv, 'ydata', yv);
    end
    
    
    
end
str=['Iter: ' num2str(iter)];% ' --  Connectivity: ' num2str(lam2)];
title(str);
hold off;
